package com.adealink.weparty.hardware

interface HardwareRequestCallback {
    fun onGranted() {}
    fun onDenied(reason: Int) {}

    //移除
    fun onPreempted() {} // 资源被抢占时的回调

    companion object {
        const val REASON_HARDWARE_NOT_EXIST = 0x0001
        const val REASON_PERMISSION_DENIED = 0x0002
        const val REASON_HARDWARE_BUSY = 0x0003 //硬件被占用
    }
}